#!/usr/bin/perl

$LEASES = `egrep '(lease 192|hardware ethernet|client-hostname)' /root/dhcpd.leases`;

foreach $h (split /lease/, $LEASES) {
	if ($h =~ /.*(192\.[0-9]*\.[0-9]*\.[0-9]*)[^0-9].*hardware ethernet ([a-z0-9]*:[a-z0-9]*:[a-z0-9]*:[a-z0-9]*:[a-z0-9]*:[a-z0-9]*)[^a-z0-9].*client-hostname "([A-Za-z0-9_.-]*)"/s) {
		print "host $3 {\n	hardware ethernet $2;\n	fixed-address $1;\n	option routers 192.168.1.10\n}\n";
	}
}
