#!/bin/sh
########################################################################
# File:           publicfiles/deltmpfiles                              #
# myLinux Server: Copyright (c) 2003 Michael Oberg                     #
# Version:        0.92                                                 #
# Author:         Michael Oberg <michael.oberg@mylinuxproject.de>      #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation; either version 2 of the License, or    #
# (at your option) any later version.                                  #
#                                                                      #
# This program is distributed in the hope that it will be useful,      #
# but WITHOUT ANY WARRANTY; without even the implied warranty of       #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the         #
# GNU General Public License for more details.                         #
#                                                                      #
# You should have received a copy of the GNU Public License along      #
# with this package; if not, write to the Free Software Foundation,    #
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.       #
########################################################################

echo "Begin deleting temporary files: "`date`

if [ -e /root/usermanager/data/tmp/.deltime ]
then
  for i in \
    /tmp \
    /var/lib/samba/pdfdocs \
    /usr/local/httpd/htdocs/squirrelmail/attachments/ \
    /usr/local/httpd/htdocs/ldap/tmp/ \
    /var/spool/clientmqueue \
    /var/cache/squid
  do
    find $i -not -newer /root/usermanager/data/tmp/.deltime -type f -exec rm -f {} \;
  done
fi
touch /root/usermanager/data/tmp/.deltime

# scanning disk of viruses
echo "Begin virus scan: "`date`
for i in `df | grep '/dev/[^/]' | sed 's@.* \(/[^ ]*\)@\1@' | grep -v '^/$'`
do
  clamscan -v -r --stdout $i | egrep -v ': (OK|Empty file)'
done
echo "End virus scan: "`date`

# create a backup (but you have to edit backup.sh before uncomment this line!)
#/usr/local/sbin/mylinux/backup.sh
