#!/bin/sh
########################################################################
# File:           setup/adminuser.sh                                   #
# myLinux Server: Copyright (c) 2003 Michael Oberg                     #
# Version:        0.92                                                 #
# Author:         Michael Oberg <michael.oberg@mylinuxproject.de>      #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation; either version 2 of the License, or    #
# (at your option) any later version.                                  #
#                                                                      #
# This program is distributed in the hope that it will be useful,      #
# but WITHOUT ANY WARRANTY; without even the implied warranty of       #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the         #
# GNU General Public License for more details.                         #
#                                                                      #
# You should have received a copy of the GNU Public License along      #
# with this package; if not, write to the Free Software Foundation,    #
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.       #
########################################################################
source mylinux.conf

##############################################################
# change server, domain, ldapbase in database                #
##############################################################
# Requires: ldap is completly set up and running
cat << EOF | ../bin/useradd.pl
$ADMINUSER
$ADMINPASSWD
$ADMINFIRSTNAME
$ADMINMIDDLENAME
$ADMINSURNAME
$ADMINHOMEDIR
$ADMINEMAIL
EOF
