#!/bin/sh
########################################################################
# File:           setup/htdig.sh                                       #
# myLinux Server: Copyright (c) 2003 Michael Oberg                     #
# Version:        0.92                                                 #
# Author:         Michael Oberg <michael.oberg@mylinuxproject.de>      #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation; either version 2 of the License, or    #
# (at your option) any later version.                                  #
#                                                                      #
# This program is distributed in the hope that it will be useful,      #
# but WITHOUT ANY WARRANTY; without even the implied warranty of       #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the         #
# GNU General Public License for more details.                         #
#                                                                      #
# You should have received a copy of the GNU Public License along      #
# with this package; if not, write to the Free Software Foundation,    #
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.       #
########################################################################
source mylinux.conf
##############################################################
# htdig configuration                                        #
##############################################################
cat /usr/local/httpd/htdig.conf.default | sed -e "s|www.htdig.org|$FQHOSTNAME|g" -e "s|unconfigured@htdig.searchengine.maintainer|root@$DOMAIN|" -e "s|exclude_urls:\(.*\)|exclude_urls:\1 \\\\\n\t\t\t/phpMyAdmin/ /ldap/ /squirrelmail/ /htdig/ \\\\\n\t\t\thttp://$FQHOSTNAME:631 \\\\\n\t\t\thttp://$FQHOSTNAME:901 \\\\\n\t\t\thttps://$FQHOSTNAME:10000 \\\\\n\t\t\t\[\.\*/\.\./\.\*\]|" > /usr/local/httpd/htdig.conf
