#!/bin/sh
########################################################################
# File:           setup/ldapexplorer.sh                                #
# myLinux Server: Copyright (c) 2003 Michael Oberg                     #
# Version:        0.92                                                 #
# Author:         Michael Oberg <michael.oberg@mylinuxproject.de>      #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation; either version 2 of the License, or    #
# (at your option) any later version.                                  #
#                                                                      #
# This program is distributed in the hope that it will be useful,      #
# but WITHOUT ANY WARRANTY; without even the implied warranty of       #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the         #
# GNU General Public License for more details.                         #
#                                                                      #
# You should have received a copy of the GNU Public License along      #
# with this package; if not, write to the Free Software Foundation,    #
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.       #
########################################################################
source mylinux.conf
TOPDOMAIN=`echo $DOMAIN | sed 's/.*\.\([^.]*\)$/\1/'`
SUBDOMAIN=`echo $DOMAIN | sed 's/\(.*\)\.[^.]*$/\1/'`
##############################################################
# squirrelmail configuration                                 #
##############################################################
cat < /usr/local/httpd/htdocs/ldap/default.php | sed -e "s/\$default->host\[0\][ \t]*=[ \t]*\"[^\"]*\"/\$default->host\[0\]\t = \"$LDAPSERVER\"/g" -e "s/\$default->basedn\[0\][ \t]*=[ \t]*\"[^\"]*\"/\$default->basedn\[0\]\t = \"dc=$SUBDOMAIN,dc=$TOPDOMAIN\"/g" > /usr/local/httpd/htdocs/ldap/default.php-new
mv /usr/local/httpd/htdocs/ldap/default.php-new /usr/local/httpd/htdocs/ldap/default.php
cat < /usr/local/httpd/htdocs/ldap/index.php | sed -e "s/\$binddn[ \t]*=[ \t]*\"dc=[^\",]*,dc=[^\"]*\"/\$binddn = \"dc=$SUBDOMAIN,dc=$TOPDOMAIN\"/g" -e "s/\$binddn[ \t]*=[ \t]*\"\(.*\),dc=[^\",]*,dc=[^\"]*\"/\$binddn = \"\1,dc=$SUBDOMAIN,dc=$TOPDOMAIN\"/g" > /usr/local/httpd/htdocs/ldap/index.php-new
mv /usr/local/httpd/htdocs/ldap/index.php-new /usr/local/httpd/htdocs/ldap/index.php
