#!/bin/sh
########################################################################
# File:           publicfiles/daily.sh                                 #
# myLinux Server: Copyright (c) 2004 Michael Oberg                     #
# Version:        0.99                                                 #
# Author:         Michael Oberg <michael.oberg@mylinuxproject.de>      #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation; either version 2 of the License, or    #
# (at your option) any later version.                                  #
#                                                                      #
# This program is distributed in the hope that it will be useful,      #
# but WITHOUT ANY WARRANTY; without even the implied warranty of       #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the         #
# GNU General Public License for more details.                         #
#                                                                      #
# You should have received a copy of the GNU Public License along      #
# with this package; if not, write to the Free Software Foundation,    #
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.       #
########################################################################

echo "Correcting clock"
/usr/local/sbin/netdate ntp1.fau.de
/sbin/hwclock -w --utc

echo "Update locate database:"`date`
updatedb 2> /dev/null

echo "Update fulltext index:"`date`
/usr/bin/htdig -c /usr/local/httpd/htdig.conf
/usr/bin/htmerge -c /usr/local/httpd/htdig.conf

echo "Compress old log files:"`date`
/usr/local/sbin/mylinux/logrotate

# scan modified files only
echo "Begin virus scan:	"`date`
for i in `df | grep /mnt | sed 's@.* \(/[^ ]*\)@\1@'`
do
  find $i -mount -newer /root/usermanager/data/tmp/.deltime -type f -exec clamscan -v --stdout {} \; | grep '^/' | egrep -v ': (OK|Empty file)'
done
echo "End virus scan:	"`date`
