#!/bin/sh
########################################################################
# File:           setup/apache.sh                                      #
# myLinux Server: Copyright (c) 2004 Michael Oberg                     #
# Version:        0.99                                                 #
# Author:         Michael Oberg <michael.oberg@mylinuxproject.de>      #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation; either version 2 of the License, or    #
# (at your option) any later version.                                  #
#                                                                      #
# This program is distributed in the hope that it will be useful,      #
# but WITHOUT ANY WARRANTY; without even the implied warranty of       #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the         #
# GNU General Public License for more details.                         #
#                                                                      #
# You should have received a copy of the GNU Public License along      #
# with this package; if not, write to the Free Software Foundation,    #
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.       #
########################################################################
source mylinux.conf
TOPDOMAIN=`echo $DOMAIN | sed 's/.*\.\([^.]*\)$/\1/'`
SUBDOMAIN=`echo $DOMAIN | sed 's/\(.*\)\.[^.]*$/\1/'`
##############################################################
# configure Apache webserver                                 #
##############################################################
cat /etc/httpd/httpd.conf-template | sed -e "s/you@example.com/root@$DOMAIN/" -e "s/#ServerName www.example.com:80/ServerName $FQHOSTNAME/" -e "s/LOCALADDRESS/$IF0_ADDR/" > /etc/httpd/httpd.conf
cat /etc/httpd/extra/httpd-ssl.conf-template | sed -e "s/you@example.com/root@$DOMAIN/" -e "s/www.example.com:443/$FQHOSTNAME:443/" > /etc/httpd/extra/httpd-ssl.conf
cat /etc/httpd/mylinux.conf-template | sed -e "s/,dc=mylinux,/,dc=$SUBDOMAIN,/" -e "s/,dc=de$/,dc=$TOPDOMAIN/" -e "s/testadmin/$ADMINUSER/g" > /etc/httpd/mylinux.conf
cat /usr/local/httpd/htdocs/index.html-template | sed -e "s/#FQHOSTNAME#/$FQHOSTNAME/" -e "s/#IMAPSERVER#/$IMAPSERVER/" -e "s/#WEBSERVER#/$WEBSERVER/" > /usr/local/httpd/htdocs/index.html
cat /usr/local/httpd/htdocs/manuals.html-template | sed -e "s/#FQHOSTNAME#/$FQHOSTNAME/" -e "s/#IMAPSERVER#/$IMAPSERVER/" -e "s/#WEBSERVER#/$WEBSERVER/" > /usr/local/httpd/htdocs/manuals.html
